---
title: "Searches the market for symbols by name or ticker."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › portfolio

`GET /v1/stores/{store}/symbols`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `portfolio:read`

## Path parameters

- `store` (`searchSymbols.path.store`; string, required) — The store's id.

## Query parameters

- `query` (`searchSymbols.query.query`; string, required)
  - minLength 1; maxLength 64; pattern `\S`
- `symbol_type` (`searchSymbols.query.symbol_type`; any of, optional)
  - any of: `string`, `null`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/symbols?query=string' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/symbols?query=string';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/symbols?query=string"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Searches the market for symbols by name or ticker.

#### Example

```json
{
  "items": [
    {
      "symbol": "string",
      "name": "string",
      "symbol_type": "string",
      "region": "string",
      "currency": "string"
    }
  ]
}
```

- `items` (`searchSymbols.response.200.items`; array<object>, required)
  - `symbol` (`searchSymbols.response.200.items.symbol`; string, required)
  - `name` (`searchSymbols.response.200.items.name`; string, required)
  - `symbol_type` (`searchSymbols.response.200.items.symbol_type`; string, required)
  - `region` (`searchSymbols.response.200.items.region`; any of, required)
    - any of: `string`, `null`
  - `currency` (`searchSymbols.response.200.items.currency`; any of, required) — The lowercase ISO currency it is listed in, null when the market data names none.
    - any of: `string`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`searchSymbols.response.default.type`; string, required)
  - format `uri`
- `title` (`searchSymbols.response.default.title`; string, required)
- `status` (`searchSymbols.response.default.status`; integer, required)
- `detail` (`searchSymbols.response.default.detail`; string, required)
- `code` (`searchSymbols.response.default.code`; string, optional)
- `context` (`searchSymbols.response.default.context`; object, optional)
- `reached_core` (`searchSymbols.response.default.reached_core`; boolean, optional)
- `core_answer` (`searchSymbols.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/search-symbols/index.md
